%define srcname ktp-send-file
%define rel 1

Summary:        File Manager plugin to launch a file transfer job with a specified contact
Name:           telepathy-kde-send-file
Version:        0.3.0
Release:        %mkrel %{rel} 
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-send-file
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
Patch0:         ktp-send-file-0.3.0-fix-po-build.patch
Patch1:		ktp-send-file-0.3.0-fix-desktop-file.patch
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel
Requires:       telepathy-kde-common-internals-translations


%description
A File manager plugin to launch a file transfer job with a specified contact.

%files -f ktp-send-file.lang
%{_kde_bindir}/ktp-send-file
%{_kde_applicationsdir}/ktp-send-file.desktop
#--------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-send-file


%changelog

* Mon Apr 09 2012 tmb <tmb> 0.3.0-1.mga2
+ Revision: 229995
- fix desktop file

  + mikala <mikala>
    - Add requires for common translations
    - Update tarball to 0.3.0
    - Add patch0 to fix build of po files
    - Remove tabs
    - Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173573
- Update tarball to 0.2.0
- fix files list
- Add patch0 to fix desktop file validation by BS
- imported package telepathy-kde-send-file

